:root {
    --cl_fl_border: #9b9b9b;
    --cl_fl_border_accent: #3b82f6;
    --cl_fl_label-accent: #b8b8b8;
}

.floating-label textarea {
    text-indent: 0 !important;
    resize: vertical;
    min-height: 60px;
    padding: 10px !important;
	width: calc(100% - 20px) !important;
}

/* Floating label container */
.floating-label {
    position: relative;
    width: 100%;
}

/* Style for the label */
.floating-label label {
    position: absolute;
    top: 50%;
	left: 10px;
    transform: translate(0px, -50%);
    color: #888;
    transition: top .2s, left .2s, font-size .2s, padding .2s;
    pointer-events: none;
    font-size: 16px;
}
.textarea-label {
    top: 20px !important;
}

/* Style when input is focused or has content */
.floating-label input:focus~label,
.floating-label textarea:focus~.textarea-label,
.floating-label select:focus ~ label,
.floating-label select:required:valid ~ label,
.floating-label textarea:not(:placeholder-shown)~.textarea-label,
.floating-label input:not(:placeholder-shown)~label {
	top: 0 !important;
	left: 6px;
	font-size: 12px;
	color: white;
	padding: 0 4px;
	border-radius: 4px;
	background-color: var(--contrast-item-background);
}

.floating-label textarea {
    padding-top: 4px;
}


.floating-label input:not([type="checkbox"]),
.floating-label select,
.floating-label textarea {
	background-color: transparent;
	color: var(--text-color);
	margin: 0;
	text-indent: 8px;
	padding: 0;
	height: 40px;
	border-radius: 8px;
	border: none;
    box-shadow: inset 0 0 0px 1px #7c7c7c;
	font-size: 1rem;
	outline: none;
	transition: border-radius .2s, box-shadow .2s;
	font-family: system-ui;
	width: 100%;
	appearance: none;
}

.floating-label select option {
  color: black;
}

.floating-label textarea {
    min-height: 60px;
}


/* Focus state for input */
.floating-label input:not([type="checkbox"]):focus,
.floating-label select:focus,
.floating-label textarea:focus {
    box-shadow: inset 0 0 0px 2px #498efd;
    outline: none;
}
.floating-label input[readonly] {
    cursor: pointer;
    opacity: 0.7;
}


/* ~~~~~~~~ */

@media (max-width: 500px) {
	.floating-label label, .range-field label {
		font-size: 14px;
	}
}

.cl-multiautocompleteinput-container,
.cl-autocompleteinput-container {
	border-radius: 16px;
	max-height: 240px;
	overflow: auto;
	scrollbar-width: none;
	z-index: 999;
	font-family: system-ui;
	font-weight: 500;
	font-size: .9rem;
	letter-spacing: .02em;
	background-color: #18181b;
	color: #888;
    box-shadow: 0px 0px 15px 0px #0000000f, 0px 2px 30px 0px #00000038, inset 0px 0px 1px 0px #ffffff26;
	margin-top: 6px;
	display: flex;
	flex-direction: column;
	align-items: center;
}


.cl-multiautocompleteinput-result,
.cl-autocompleteinput-result {
	padding: 8px;
	border-radius: 8px;
	cursor: pointer;
	width: calc(100% - 32px);
	flex-shrink: 0;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
	margin: 0 8px;
    text-align: left;
}


.cl-multiautocompleteinput-container> :nth-child(2),
.cl-autocompleteinput-container> :nth-child(2) {
    margin-top: 8px;
}

.cl-multiautocompleteinput-container> :last-child,
.cl-autocompleteinput-container> :last-child {
    margin-bottom: 8px;
}

.cl-multiautocompleteinput-status,
.cl-autocompleteinput-status {
	color: #ffadad;
	margin-top: 8px;
	height: 30px;
	display: flex;
	align-items: center;
}

.cl-multiautocompleteinput-result:hover,
.cl-autocompleteinput-result:hover {
    background-color: #3f3f46;
    color: white;
}


.cl-multiautocompleteinput-wrap label {
    top: 20px;
}

.cl-multiautocompleteinput-wrap input,
.floating-label input {
    transition: border-radius 0.2s;
}

.cl-multiautocompleteinput-wrap input.autocomplete-open,
.floating-label input.autocomplete-open {
	/* border-bottom-left-radius: 0;
	border-bottom-right-radius: 0; */
}

.cl-multiautocompleteinput-list {
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 6px;
	margin-top: 6px;
}

.cl-multiautocompleteinput-listitem {
	display: flex;
	flex-direction: row-reverse;
	justify-content: space-between;
	background-color: #e9e9e9;
	color: #444;
	height: 34px;
	border-radius: 9px;
	align-items: center;
	padding-inline-start: 10px;
	padding-inline-end: 10px;
	cursor: pointer;
	border: 1px solid #d1d1d1;
}

.cl-multiautocompleteinput-listitem:first-child,
.cl-multiautocompleteinput-listitem:nth-child(2) {
    
}


@media (max-width: 450px) {
    .cl-multiautocompleteinput-list {
        grid-template-columns: 1fr;
    }
}

@media (prefers-color-scheme: dark) {
    :root {
        --cl_fl_border: #5b5b5b;
    }
}

/* ~~~~~~~~~ */